import { select, 
         range,
         scaleOrdinal,
         scaleLinear
        } 
from 'd3';

import {
   drawFruitsAnim
 }
from './makeFruit';

import {
  legends
}
from './colourLegend'

const width = 500
const height = 500
 
const svg = d3.select('.pattern')
                 .attr('height',height)
                 .attr('width',width);

const ids  = scaleOrdinal().domain(["apple","lemon","orange"]).range(["red","yellow","orange"])

svg.append('g')
     .attr('transform','translate(10,10)')
     .append('svg')
     .attr('height',200)
     .attr('width',200)
     .call(legends,{data:ids,
                    axis:'vertical',
                    padding: 10});


 








 

 
